Low CentOS libvirt Security Update

Metadata

medium
5.0
libvirt-1.1.1-29.el7_0.4.src.rpm, libvirt-1.1.1-29.el7_0.4.x86_64.rpm, libvirt-client-1.1.1-29.el7_0.4.i686.rpm, libvirt-client-1.1.1-29.el7_0.4.x86_64.rpm, libvirt-daemon-1.1.1-29.el7_0.4.x86_64.rpm, libvirt-daemon-config-network-1.1.1-29.el7_0.4.x86_64.rpm, libvirt-daemon-config-nwfilter-1.1.1-29.el7_0.4.x86_64.rpm, libvirt-daemon-driver-interface-1.1.1-29.el7_0.4.x86_64.rpm, libvirt-daemon-driver-lxc-1.1.1-29.el7_0.4.x86_64.rpm, libvirt-daemon-driver-network-1.1.1-29.el7_0.4.x86_64.rpm, libvirt-daemon-driver-nodedev-1.1.1-29.el7_0.4.x86_64.rpm, libvirt-daemon-driver-nwfilter-1.1.1-29.el7_0.4.x86_64.rpm, libvirt-daemon-driver-qemu-1.1.1-29.el7_0.4.x86_64.rpm, libvirt-daemon-driver-secret-1.1.1-29.el7_0.4.x86_64.rpm, libvirt-daemon-driver-storage-1.1.1-29.el7_0.4.x86_64.rpm, libvirt-daemon-kvm-1.1.1-29.el7_0.4.x86_64.rpm, libvirt-daemon-lxc-1.1.1-29.el7_0.4.x86_64.rpm, libvirt-devel-1.1.1-29.el7_0.4.i686.rpm, libvirt-devel-1.1.1-29.el7_0.4.x86_64.rpm, libvirt-docs-1.1.1-29.el7_0.4.x86_64.rpm, libvirt-lock-sanlock-1.1.1-29.el7_0.4.x86_64.rpm, libvirt-login-shell-1.1.1-29.el7_0.4.x86_64.rpm, libvirt-python-1.1.1-29.el7_0.4.x86_64.rpm
CVE-2014-7823
rhn.redhat.com, lists.centos.org
2015-01-05
2017-07-27 19:08
Moderate CentOS libvirt Security Update
CVE-2014-7823 libvirt
CVE-2014-7823
2017-04-01 19:08
2017-01-05 20:12

Description


Updated libvirt packages that fix one security issue and three bugs are now
available for Red Hat Enterprise Linux 7.

Red Hat Product Security has rated this update as having Low security
impact. A Common Vulnerability Scoring System (CVSS) base score, which
gives a detailed severity rating, is available from the CVE link in the
References section.

The libvirt library is a C API for managing and interacting with the
virtualization capabilities of Linux and other operating systems.
In addition, libvirt provides tools for remote management of
virtualized systems.

It was found that when the VIR_DOMAIN_XML_MIGRATABLE flag was used, the
QEMU driver implementation of the virDomainGetXMLDesc() function could
bypass the restrictions of the VIR_DOMAIN_XML_SECURE flag. A remote
attacker able to establish a read-only connection to libvirtd could use
this flaw to leak certain limited information from the domain XML data.
(CVE-2014-7823)

This issue was discovered by Eric Blake of Red Hat.

This update also fixes the following bugs:

* In Red Hat Enterprise Linux 6, libvirt relies on the QEMU emulator to
supply the error message when an active commit is attempted. However, with
Red Hat Enterprise Linux 7, QEMU added support for an active commit, but an
additional interaction from libvirt to fully enable active commits is still
missing. As a consequence, attempts to perform an active commit caused
libvirt to become unresponsive. With this update, libvirt has been fixed to
detect an active commit by itself, and now properly declares the feature as
unsupported. As a result, libvirt no longer hangs when an active commit is
attempted and instead produces an error message.

Note that the missing libvirt interaction will be added in Red Hat
Enterprise Linux 7.1, adding full support for active commits. (BZ#1150379)

* Prior to this update, the libvirt API did not properly check whether a
Discretionary Access Control (DAC) security label is non-NULL before trying
to parse user/group ownership from it. In addition, the DAC security label
of a transient domain that had just finished migrating to another host is
in some cases NULL. As a consequence, when the virDomainGetBlockInfo API
was called on such a domain, the libvirtd daemon sometimes terminated
unexpectedly. With this update, libvirt properly checks DAC labels before
trying to parse them, and libvirtd thus no longer crashes in the described
scenario. (BZ#1171124)

* If a block copy operation was attempted while another block copy was
already in progress to an explicit raw destination, libvirt previously
stopped regarding the destination as raw. As a consequence, if the
qemu.conf file was edited to allow file format probing, triggering the bug
could allow a malicious guest to bypass sVirt protection by making libvirt
regard the file as non-raw. With this update, libvirt has been fixed to
consistently remember when a block copy destination is raw, and guests can
no longer circumvent sVirt protection when the host is configured to allow
format probing. (BZ#1149078)

All libvirt users are advised to upgrade to these updated packages, which
contain backported patches to correct these issues. After installing the
updated packages, libvirtd will be restarted automatically.
Please see https://www.redhat.com/footer/terms-of-use.html

Am I vulnerable?

The constraints below list the versions that this vulnerability is patched in, and versions that are unaffected. If a patch is ready but unrealeased, then it is pending.

Or, you can just let us figure it out for you! Appcanary continously monitor your installed packages, and tell you if any of them are vulnerable.

Sign up for monitoring

Affected package information

Release Package Patched in
7 libvirt libvirt-1.1.1-29.el7_0.4.src.rpm
libvirt libvirt-1.1.1-29.el7_0.4.x86_64.rpm
libvirt-client libvirt-client-1.1.1-29.el7_0.4.i686.rpm
libvirt-client libvirt-client-1.1.1-29.el7_0.4.x86_64.rpm
libvirt-daemon libvirt-daemon-1.1.1-29.el7_0.4.x86_64.rpm
libvirt-daemon-config-network libvirt-daemon-config-network-1.1.1-29.el7_0.4.x86_64.rpm
libvirt-daemon-config-nwfilter libvirt-daemon-config-nwfilter-1.1.1-29.el7_0.4.x86_64.rpm
libvirt-daemon-driver-interface libvirt-daemon-driver-interface-1.1.1-29.el7_0.4.x86_64.rpm
libvirt-daemon-driver-lxc libvirt-daemon-driver-lxc-1.1.1-29.el7_0.4.x86_64.rpm
libvirt-daemon-driver-network libvirt-daemon-driver-network-1.1.1-29.el7_0.4.x86_64.rpm
libvirt-daemon-driver-nodedev libvirt-daemon-driver-nodedev-1.1.1-29.el7_0.4.x86_64.rpm
libvirt-daemon-driver-nwfilter libvirt-daemon-driver-nwfilter-1.1.1-29.el7_0.4.x86_64.rpm
libvirt-daemon-driver-qemu libvirt-daemon-driver-qemu-1.1.1-29.el7_0.4.x86_64.rpm
libvirt-daemon-driver-secret libvirt-daemon-driver-secret-1.1.1-29.el7_0.4.x86_64.rpm
libvirt-daemon-driver-storage libvirt-daemon-driver-storage-1.1.1-29.el7_0.4.x86_64.rpm
libvirt-daemon-kvm libvirt-daemon-kvm-1.1.1-29.el7_0.4.x86_64.rpm
libvirt-daemon-lxc libvirt-daemon-lxc-1.1.1-29.el7_0.4.x86_64.rpm
libvirt-devel libvirt-devel-1.1.1-29.el7_0.4.i686.rpm
libvirt-devel libvirt-devel-1.1.1-29.el7_0.4.x86_64.rpm
libvirt-docs libvirt-docs-1.1.1-29.el7_0.4.x86_64.rpm
libvirt-lock-sanlock libvirt-lock-sanlock-1.1.1-29.el7_0.4.x86_64.rpm
libvirt-login-shell libvirt-login-shell-1.1.1-29.el7_0.4.x86_64.rpm
libvirt-python libvirt-python-1.1.1-29.el7_0.4.x86_64.rpm